Bug 66633 - RFE: Choice between anaconda's "guided installation" and a new ksconfig installer interface
RFE: Choice between anaconda's "guided installation" and a new ksconfig insta...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-12 16:03 EDT by Richard Black
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-01 16:06:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Black 2002-06-12 16:03:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
RFE: Choice between anaconda's "guided installation" and a new ksconfig 
installer interface.

It would be really nice if we could choose up front on a first install whether 
we want to use the standard anaconda guided install or to use a all in one 
screen menu selection just like ksconfig.  

On this new method, one would get all the mouse clicks out of the way right up 
front.  Once satisfied with your selections you would then possibly save to a 
ks.cfg file and you would then instruct the installer to proceed.  Now the 
installer won't ask you anymore questions and the install completes.

It would just be nice to do all your clicking at once (maybe even have some 
defaults pulled in from an existing ks.cfg file as best it can interpret) then 
once you are done clicking you just choose the "go" button and no more 
questions asked and the installer finishes.  (please don't seriously label the 
button go).  The defaults pulled in from the existing ks.cfg file could be a 
previous Red Hat Linux versioned ks.cfg or one from this same version (maybe 
you made some bad choices in your last attempt and now instead of rekeying them 
all in you can just "tweak" your last choices.)


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Comment 1 Michael Fulbright 2002-06-13 12:33:29 EDT
We've talked about this and its just a matter of finding time. I think its a
good idea.
Comment 3 Brent Fox 2003-04-01 16:06:37 EST
We are looking at various ways to reduce the number of steps in the installer,
which should help some.

However, creating another install mode to be more of a ksconfig style UI seems
to me to be a lot of work for not much gain.  I would just recommend running
redhat-config-kickstart on another machine and generating the kickstart file you
want to use.

Alternatively, you can use the 'interactive' kickstart flag to pre-populate the
anaconda screens with the data from the kickstart file.

I think that at least some of the functionality that you're looking for already
exists so I'm going to close this as 'wontfix'.

Note You need to log in before you can comment on or make changes to this bug.